Request a session ID
curl --request POST \
--url https://api.example.com/connect \
--header 'Content-Type: application/json' \
--data '
{
"connectionString": "Server=tickets.local;Db=helpdesk"
}
'import requests
url = "https://api.example.com/connect"
payload = { "connectionString": "Server=tickets.local;Db=helpdesk" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({connectionString: 'Server=tickets.local;Db=helpdesk'})
};
fetch('https://api.example.com/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "f3a9c2e1-7b44-4d8e-9c2a-1e6b5d0f8a23"
}SIEM & Ticketing systems
Request a Session ID
Establish a session with the ticketing system through the API Bridge and receive a session ID for subsequent calls.
POST
/
connect
Request a session ID
/connect is the first endpoint Syteca calls. Your API Bridge establishes a session with the ticketing system and returns a sessionId that the ticket status and add comment calls then use.
The request body is optional. If your ticketing system needs connection details, accept them in the optional connectionString field.
This endpoint is shown for reference. There is no Syteca-hosted server to call — your Bridge runs at your own address and port — so no live request panel is available.